Cymatic ends support for Windows XP

General announcements and other important news

Cymatic ends support for Windows XP

Postby Gavin » Thu Feb 07, 2019 1:22 am

Cymatic is now in the process of ending support for Windows XP and thereafter will only work with newer versions of Windows such as Windows 7, 8, 10 or Windows Server 2008 SP2 or later. This is because Windows XP does not support the latest security protocols.

This change is being done in response to a sudden change of security protocols being implemented at the Betfair exchange.

If you are using Windows XP and aren't ready to upgrade it or buy a new PC, you might like to consider trading remotely on a virtual private server hosted in a data centre. There are even free servers available, so do contact me on the forum if you'd like a little advice on that.

With kind regards,

Gavin

Cymatic Customer Support
User avatar
Gavin
Site Admin
 
Posts: 3196
Joined: Wed Jan 23, 2013 9:11 pm
Location: United Kingdom

Re: Cymatic ends support for Windows XP

Postby poet13 » Tue Feb 19, 2019 2:46 pm

Hello Gavin,

I'm having some login problems today (working fine last night), so came to the forum to see if there were any current issues, found this post and wondered if similar measures were being implemented regarding Windows Vista - my current operating system?

For your information the Login Error message I'm getting is: The request was aborted: Could not create SSL/TLS secure channel.

I can login directly to Betfair on the internet and also via their Andriod app.

Regards David Sebastian.
poet13
 
Posts: 11
Joined: Sun Dec 24, 2017 1:37 pm

Re: Cymatic ends support for Windows XP

Postby poet13 » Tue Feb 19, 2019 2:58 pm

Hi Gavin,

Just found your post "v6.8 - end of support for Windows XP" which has today as the cut off, too much of a coincidence I'm thinking, and assume Vista is affected, and that I'm now in the process of upgrading my computer!

Regards David.
poet13
 
Posts: 11
Joined: Sun Dec 24, 2017 1:37 pm

Re: Cymatic ends support for Windows XP

Postby Gavin » Tue Feb 19, 2019 7:59 pm

Hi David,

Thanks for contacting me and I'm sorry for the inconvenience.

I would suggest that you uninstall Advanced Cymatic Trader from the Windows control panel. Then remove traces of the failed installation by typing the following command at the Windows Command prompt:

rundll32 %windir%\system32\dfshim.dll CleanOnlineAppCache

Then download and re-install Cymatic from here:

Download Cymatic

Another user has confirmed that the above procedure solved a problem they started having today, so hopefully that will work for you too.

However if that doesn't work, then please ensure that you have the Microsoft .NET Framework 4.5.2 (or higher) installed on your PC. It is a requirement of Cymatic.

https://www.microsoft.com/en-gb/download/details.aspx?id=42643

Cymatic should install version the .NET Framework 4.5.2 automatically (unless a later version is already on your PC), but if it has not installed it for you, then you can install it using the above link.

Please let me know if this solves the problem for you. Thank you and sorry for the inconvenience.

Kind regards,

Gavin
User avatar
Gavin
Site Admin
 
Posts: 3196
Joined: Wed Jan 23, 2013 9:11 pm
Location: United Kingdom

Re: Cymatic ends support for Windows XP

Postby poet13 » Tue Feb 19, 2019 8:32 pm

Hi Gavin,

Thanks for getting back to me, will try all that in the morning and let you know how I get on.

Cheers, David
poet13
 
Posts: 11
Joined: Sun Dec 24, 2017 1:37 pm

Re: Cymatic ends support for Windows XP

Postby poet13 » Wed Feb 20, 2019 12:43 pm

Hello Gavin,

Have been through the steps you suggested (some several times, and have also installed .NET Framework 4.5.2 from the Windows link), but am sorry to report without progress.

After restarting my laptop, starting Cymatic Trader, I entered the email and activation code in the License Activation Form. After a short while it returned the message "Activation results already completed in this computer" I selected OK then close, and then went to the login options.

Previously, I've been able to login in using the Minimal Login, but this returned the same message as yesterday, (as per attached screen shot Cymatic Minimal Login.JPG).

I then tried the Standard Login which returned a similar error message with connection issue dialogues (screenshot Cymatic Standard Login.JPG). I can confirm that the SSL and TLS boxes are checked.

Shortly after the above message a security alert message also appeared (screenshot Cymatic Security Alert.JPG).

The version of Vista I'm using is Home premium 32-Bit SP2, with Internet Explorer 9 - version:9.0.8112.16421 [update versions RTM (KB982861)]

I access the Internet via my mobile phone wireless hotspot, which is working fine for all other applications on the laptop, including Chrome, and also on a tablet.

Hopefully that makes sense, and there's at least some interim solution before I eventually upgrade my system.

Kind Regards David.
You do not have the required permissions to view the files attached to this post.
poet13
 
Posts: 11
Joined: Sun Dec 24, 2017 1:37 pm

Re: Cymatic ends support for Windows XP

Postby Gavin » Wed Feb 20, 2019 1:25 pm

Hi David,

Thanks for all that information and i'm sorry to hear that it didn't work yet.

Please follow the instructions on this Microsoft blog post, which explains how to enable the TLS1.2 security protocol in the Windows registry and in the internet options for Internet Explorer:

https://blogs.msdn.microsoft.com/kaushal/2011/10/02/support-for-ssltls-protocols-on-windows/

Alternatively, I found some other information indicating that you can upgrade Windows Vista with the security patch mentioned here:

How enable TLS1.2 on Windows Vista

Please let me know if that does the trick. Many thanks.

Kind regards,

Gavin
User avatar
Gavin
Site Admin
 
Posts: 3196
Joined: Wed Jan 23, 2013 9:11 pm
Location: United Kingdom

Re: Cymatic ends support for Windows XP

Postby poet13 » Thu Feb 21, 2019 8:04 pm

Hi Gavin,

Followed your links and their instructions. Discovered I've some gaps in Windows Updates - left it checking, but it seemed to get stuck.

Just found some advice on YouTube for dealing with that, so hopefully back to sorting the original problem soon.

Cheers David.
poet13
 
Posts: 11
Joined: Sun Dec 24, 2017 1:37 pm

Re: Cymatic ends support for Windows XP

Postby Gavin » Thu Feb 21, 2019 11:04 pm

Hi David,

OK, thanks for letting me know.

Kind regards,

Gavin
User avatar
Gavin
Site Admin
 
Posts: 3196
Joined: Wed Jan 23, 2013 9:11 pm
Location: United Kingdom

Re: Cymatic ends support for Windows XP

Postby poet13 » Fri Feb 22, 2019 12:13 pm

Hi Gavin,

I think I'm almost there,

Have loaded the critical and important updates, and now working my way through how to Enable TLS 1.1/1.2 on Windows Vista,

Got as far as 6) Download this .reg key: vista-tls-1.1-1.2-update.reg and 7) Double click the .reg key and allow it to merge into the Windows registry .

However, when following that link it opens up a page as below rather than linking to a downloadable file.

Windows Registry Editor Version 5.00

[HKEY_LOCAL_MACHINE\SOFTWARE\Microsoft\Internet Explorer\AdvancedOptions\CRYPTO\TLS1.1]
"OSVersion"=-

[HKEY_LOCAL_MACHINE\SOFTWARE\Microsoft\Internet Explorer\AdvancedOptions\CRYPTO\TLS1.2]
"OSVersion"=-


I haven't used Registry Editor before so want to double-check with you before proceeding further.

I've backed up the complete registry and located the sub-folders for TLS1.1 & TLS1.2

These have fields displayed as
Reg Edit TLS1.1.JPG


I'm presuming I need to add the field "OSVersion"=- to these, but am unsure where or how - edit/new/string value?


Kind regards,

David
You do not have the required permissions to view the files attached to this post.
poet13
 
Posts: 11
Joined: Sun Dec 24, 2017 1:37 pm

Next

Return to Announcements

Who is online

Users browsing this forum: No registered users and 0 guests

cron